<?php
session_start();
$ruta="../../../";
include_once($ruta."class/grupo.php");
$grupo=new grupo;
include_once($ruta."class/grupocredito.php");
$grupocredito=new grupocredito;
include_once($ruta."class/credito.php");
$credito=new credito;
include_once($ruta."class/personagrupo.php");
$personagrupo=new personagrupo;
include_once($ruta."class/dominio.php");
$dominio=new dominio;
include_once($ruta."class/tipobanca.php");
$tipobanca=new tipobanca;
include_once($ruta."class/config.php");
$config=new config;


extract($_POST);

	$fecha=date("Y-m-d");
	$dgcCRED=$grupocredito->muestra($idgrupocredito);
	if (count($dgcCRED)>0) {
		echo "SI HAY UNO";
	}else{
		echo "NO HAY";
	}
	$gr=$grupo->muestra($dgcCRED['idgrupo']);
	$pergr=$personagrupo->mostrarUltimo("idgrupo=".$dgcCRED['idgrupo']." and idpersona=$idpersona");
	$idasesor=$gr['idadmejecutivo'];

	$ddom=$dominio->muestra($dgcCRED['frecuenciapago']);
	$idfrecuenciapago=$dgcCRED['frecuenciapago'];
	$lapsoDias=$ddom['short'];

	// carga tipo de banca
	$tb=$tipobanca->muestra($dgcCRED['idtipobanca']);
	$idtipobanca=$dgcCRED['idtipobanca'];
	$fgarantia=$tb['fondogarantia'];
	$depacumulado=$tb['depositoacumulado'];
	$interes=$tb['interes'];
	$seguro=$tb['seguro'];
	if ($dgcCRED['frs']>0) {
		$seguro=0;
	}
	$idnrocuotas=$dgcCRED['nrocuotas'];
	$idgadmin=$dgcCRED['gastosadmin'];
	$idfrs=$dgcCRED['frs'];
	$idfechadesembolso=$dgcCRED['fechadesembolso'];
	$idfecha1erpago=$dgcCRED['fecha1erpago'];
	$idfechacierre=$dgcCRED['fechacierre'];
	// aca llena los creditos de todas las personas
	/********************************************************************/
		//damos el credito a todas las personas del grupo
		
    	$idpersonagrupo=$pergr['idpersonagrupo'];

    	//cuenta del credito
		$cta=$config->muestra(1);
		$cuenta=$cta['cuentaBs']+1;
		echo "CUENTA: ".$cuenta.";";
		//cambiar
      	$valcredito=array(
      		"idtipobanca"=>"'$idtipobanca'",
			"idgrupocredito"=>"'$idgrupocredito'",
			"idejecutivo"=>"'$idasesor'",
			"idpersonagrupo"=>"'$idpersonagrupo'",
			"idpersona"=>"'$idpersona'",
			"idsucursal"=>"'0'",
			"idfrecuenciapago"=>"'$idfrecuenciapago'",
			"moneda"=>"'MN'",
			"lapsoDias"=>"'$lapsoDias'",
			"cuenta"=>"'$cuenta'",
			"montoOT"=>"'0'",
			"saldoAnterior"=>"'0'",
			"saldo"=>"'0'",
			"cuotas"=>"'$idnrocuotas'",
			"cuotaspagadas"=>"'0'",

			"fgarantia"=>"'0'",
			"depacumulado"=>"'$depacumulado'",
			"interes"=>"'$interes'",
			"seguro"=>"'$seguro'",
			"gastosadmin"=>"'$idgadmin'",
			"frs"=>"'$idfrs'",

			"fechadesembolso"=>"'$idfechadesembolso'",
			"fechaprimer"=>"'$idfecha1erpago'",
			"fechavence"=>"'$idfechacierre'",

			"fechaultpago"=>"'$fecha'",
			"fechaultint"=>"'$fecha'",
			"fechaproxve"=>"'$idfecha1erpago'",

			"diasmora"=>"'0'",
			"reprogramado"=>"'0'",
			"estadocredito"=>"'150'",
			"estado"=>"'0'",
	 	);	
		$credito->insertar($valcredito);
		$valConf=array(
			"cuentaBs"=>"'$cuenta'"
	 	);
		$config->actualizar($valConf,$cta['idconfig']);
        
	/********************************************************************/
  	?>
		<script type="text/javascript">
		swal({
			title: "Éxito",
			text: "Crédito Registrado correctamente",
			type: "success",
			//showCancelButton: false,
			confirmButtonColor: "#28e29e",
			confirmButtonText: "OK",
			closeOnConfirm: false
          }, function () {
			location.reload();
          });
		</script>
	<?php
?>